commit 3c61cd0b7a51216e1cbab4a0395cdcf934f06e5f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added the "<custom-type>" tag, and better requirements for function signatures.
    
    Trying to find a non-qualified (without scope information) class, found
    in a function signature or return type, was a bad idea for it makes the
    parsing awfully slow when dealing with huge libraries. If the user
    writes a type in short form in a function signature (e.g. "SomeClass",
    instead of "Namespace::SomeClass"), APIExtractor will exit with a
    message indicating the error and the possible candidates for the type.
    
    The "<custom-type>" tag is for types of the target language ("PyObject"
    in Python, for instance) and will be handled by the generator.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Paulo Alcantara <pcacjr@gmail.com>

commit 6c4b7e91796659987551b396dfb78c0b11507634
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Function signatures including return types are reported as invalid.
    
    This fixes bug #1101: "Report invalid function signatures in typesystem"
    http://bugs.pyside.org/show_bug.cgi?id=1101

commit 7721db1f16c2744cc9e4d15d213a166946fa5c54
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed type resolution for types inside scopes, but their names omit this information.

commit 0571937d531247aa74b18daf9e3d9657426ce804
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed typo on warning message.

commit 99dde748292accc9462f08064526489f5f00e44d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    AbstractMetaTypes for object types used as values must have the Value usage pattern.

commit b1ec8b9ead203e552594fc21e2d54d81f6ad2915
Author: Jerzy Kozera <jerzy.kozera@gmail.com>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed compilation error for gcc versions < 4
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit 3b89c4292c26aa9ffb3abd43cd82afeb0697627a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed insert-template tag when used inside a module level inject-code tag.
    
    Also added unit tests.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit de11d5d48b0ffb4a04fa516a650d731aab77435e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Don't report cyclic dependency when there not a single to form a graph.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit e52ee0f14d6e3fca28971215064b96be0591c8d1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Version bump to 0.10.10.

commit dcb11958cabe518630f9f2d2bebd9f8711c2b15b
Merge: af04266 8e8a8df
Author: Bruno Araújo <bruno.araujo@gmail.com>
Commit: Bruno Araújo <bruno.araujo@gmail.com>

    Merge pull request #18 from baraujo/master
    
    Doxygen support

commit 8e8a8dfebead8226f482263d24fd5074842aa6e1
Author: Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>
Commit: Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>

    Doxygen support

commit af04266b152f4b3010464eebf0ffe0d53c66a43a
Author: Yaakov <yselkowitz@users.sourceforge.net>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 1008 - "ApiExtractor Cygwin patch"
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 313cfb86af200ca883dc130e62db196f127b709d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Bump version to 0.10.9.

commit 0208aae8ed3c2bce356e00dc02c29dea60da3c66
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Version bump to 0.10.8.

commit 2281b37a39be29e140c18f86656c9eaa94c07d61
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes setting of template argument's usage pattern.
    
    Comes with an unit test.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit bc5419c614942535e7d7443308399cfb8304c57a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed modifications to global functions.
    
    Also added unit test.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit eb45cad79bb365de1b53d94db9f5377cd873340a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added improved functionality for the 'conversion-rule' tag.
    
    It works for primitive, container and value types. Object types doesn't
    have conversion rules because they can not have implicit conversions,
    and the regular conversion is always the same (get C++ object held on
    Python wrapper, and finding/creating a Python wrapper to a C++ pointer).
    
    Unit tests were added.
    Documentation was updated.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 88677adb2fcac3a07a741e72e6123e13def86e90
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes method's argument types that are templates but the template variable wasn't declared.
    
    An unit test was added.
    Other unrelated tests had minor improvements.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit e7d4fdb1e0162139e18220c87456f60c4a264ce7
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    AbstractMetaBuilder fixed to set base container type correctly in meta class' type entry.

commit 85d8177da558f870cfcdfe6d41edad328ff908dd
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix outdated info on docs.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 1765453e7901c74bbfbcbbd27a4ed7bea4650d9d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Revert "Implement getTypeIndex function for types no generated types and primitive types."
    
    This commit broke the macosx build of PySide.
    
    This reverts commit e9758a01f15bc53de8e03b77ec8beb5673b1b1af.

commit 5c0a6322b5c012f2979b4b1627a182d8e81aa9f8
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Optimize isCppPrimitive function.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit e9758a01f15bc53de8e03b77ec8beb5673b1b1af
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Implement getTypeIndex function for types no generated types and primitive types.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 9e19d9243ed37b886f8229ceedde260e780cf6de
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Version bump to 0.10.7

commit 57baee54916c00b53e7c6161f403ac85d6b6e0f9
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added setTargetLangPackage and targetLangPackage methods to PrimitiveTypeEntry.
    
    Updated tests.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit 4f8172ca587348292e575b6b976de8d1e7e97e77
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Included the unsigned types in TypeEntry::isCppPrimitive() method list of types.
    
    Also added a test for a typedef of an unsigned numerical type.

commit 52d0996e3cafe7c9929abc59a489acf77480c033
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Version bump
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit e39d9fa533c00e7012ca691709c653832eb38428
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 731 - "Can't specify more than a single 'since' argument"

commit 7ab667381f6821d4317bc3214f370786e47da95d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix link on rel bar.

commit 10abd8cec04be4392eaae8077b225a8d5e53236c
Author: Didier Raboud <odyx@debian.org>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Update pysidedocs theme to rely more on sphinx's base theme:
    
    - Drop files that are redundant with sphinx.
    - Add _templates/layout.html to add the needed customisation.
    - Update theme.conf to ensure theme inheritance.
    - Update pysidedocs.css to fit the theme with sphinx's basic theme.
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit c5290aaa92b0474eca7c2cd5113c8601bed9ae73
Author: Didier Raboud <odyx@debian.org>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Drop superflous .directory file.

commit b53c98817568a6f74206e30d35345ae431bbe773
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    AbstractMetaClasses now hold the instantiation types for the templates they implement.
    
    AbstractMetaClasses that are typedefs for template class instantiations
    use to keep the template from where they derive, but didn't keep the
    values used for the derivation. Now this is fixed, and with an unit test.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 4c482933ebfa549034b833bc0815adb0db142658
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Compute the type indexes if needed when calling getMaxTypeIndex().
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo@openbossa.org>

commit dd6a7691850472da3b9f5e895fe4af17a249f8ab
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Set code generation flags on TypeSystem type entry.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 567f4a1fc8c82cc0e80fabe7dc8b039d3b03a2e2
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added default constructor option for value types.
    
    The unit test is in place and the 'value-type' tag documentation was
    update with information about the 'default-constructor' attribute.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 1cfcc5d43676f4c6695097eec0129799c0216ff9
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Copied AbstractMetaBuilder::decideUsagePattern() method to AbstractMetaType.
    
    The decideUsagePattern on AbstractMetaBuilder now calls the new
    AbstractMetaType's method.

commit 4b19f99f757d5527a495a8b87e6440c299047109
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added a test for operator methods removal.

commit 8392ef5807652ee742635227cac652d798fc6753
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed TypeEntry::isCppPrimitive() to process typedefs and "long long" type.
    
    And added an unit test.

commit 2af121652ab43fdfd9c69635d0292c82a16b9218
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix PySide code generation.

commit c16ba5ab4d44edfc8e8f9e57bd0636a26bdac07e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Check inconsistencies for enums and disable generation of private entities.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Filho <renato.filho@openbossa.org>

commit 5b36b2e53a333de0b2bef8be7c800eda30cca483
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Added docs for typesystem new attributes.

commit a0e75ebd485adee4259a2b8990339d55ad54a073
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Added revision attribute to type entries tags and flags-revision to enum-type tag.
    
    These attributes will be useful to separate the wrapped API in revisions and ease
    the task of producing ABI compatible bindings.

commit f3e3274dd55f5ca1e7cb0b1729d0bce0dd0e5679
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Bump version to 0.10.5.

commit facf5b16df729ea6bc49853d5cd53daaedf87882
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Version bumped to 0.10.4.

commit 8ec16f576d99690e5be78f8fa9c3ad7c3eacbc0a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Show perm links only when the mouse hover on title.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit e34989731c9c8be4ad4d2c6e36a7f5c3b86ed9a7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Doc js files sync with latest release of sphinx.

commit 807dbd5973d494241ebea9250065d50510857655
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 464 - "Can't create target lang package and namespace with the same name"

commit 6fc241dcfadfc5b60b67cbc19193d67f9ea1799c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 827 - "Anchor sign for headers to copy links for sections"

commit f6cfe3e0d2ed26abaa4cdc9ee95ad1e851111da6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 851 - "Shiboken recognizes dereference operator overload as times operator overload."
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit eeb6d44920f2012fc39ecc381304dd76d3f75bbf
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed conversion operators type resolution for references to types.
    
    This is fixes bug #716: http://bugs.pyside.org/show_bug.cgi?id=716
    
    Unit tests were added as usual.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 3de5ca2a0aa2e6e0c98a2869e1f2692c335f2c11
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Don't compute function modification from API versions greater than the current version.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit d4f53dd19b8d443b3b848dbac7f2003fa139a3f7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 417 - "Support nested naming of flags"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 1daec54e0ded18c111ce1d72f247265d29a6fd80
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Bump to version 0.10.3

commit 181120b0fe799ac50daeeb3b33d32e00bcf3b66a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add support to template types as arguments on user added functions.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 7af96bb77c278bdae96ccdf9c67d3c66aa27e757
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add support for adding reverse operators with add-function tag.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit f05266dd4a63f0beed28b434864843199b65d4c4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add AbstractMetaFunction::isCallOperator() method.
    
    Returns true when the function is a call operator.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 4e1a757a10491f1c62c44cbee7a9f070dfc36cc7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Remove GCC 4.6 warnings on abstractmetabuilder.cpp and parser.cpp
    
    abstractmetabuilder.cpp:1792:9: warning: variable ‘firstDefaultArgument’ set but not used [-Wunused-but-set-variable]
    parser.cpp:2136:17: warning: variable ‘global_scope’ set but not used [-Wunused-but-set-variable]

commit bb03f77333fa923b9a747af47a6f7f0f252f4ec6
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Skip functions added on base classes.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 01aef9d23e99276b849e18eefd4d4807e934a7d7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Removed warning about unused variable when using gcc 4.6.

commit 95d60ebd40153b3f97f898fbf648e2925d8e4c9c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added support for module extra includes.
    
    Unit tests were also added.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 923222bad8312e07a21875855ad8153d81a39c02
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Version bump to 0.10.2

commit 7241d5076c0b4a6bb10ce45b91ed542c4818c855
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Version bump

commit dbadeef4c7cb3b09151ade8d2e76701745dd7ed2
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Commit: Luciano Wolf <luciano.wolf@openbossa.org>

    Use QDir::currentPath() to avoid problems with armel-Meego target.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 4d377d3409520364c1debfa8dc17febe25ac3661
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed AbstractMetaType::cppSignature() method.
    
    The usage pattern *must* be decided *after* the possible template
    instantiations have been determined, or else the absence of
    such instantiations will break the caching scheme of
    AbstractMetaType::cppSignature().
    
    Reviewed by Bruno Araújo <bruno.araujo@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 5e360db663fe1082916c7f4f83d5eee22cc43a3d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added tests for template containers used as arguments for functions.

commit 5ed8c34f07f6e96b8d0532e5242efd86be9a3646
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Turn some regex static, so we don't need to compile them in every function call.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 6cccd33e79a3384dcc26313450e3acdf725e295f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add more cache stuff to speed up the generation process.

commit 6f6abd3013332e9ee66d6da972f6129ecd8756f1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Cache the value of AbstractMetaType::name

commit 2c8a45420c92ab7f3db7f0336086e73472de46b3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added a depth counter to avoid segmentation faults when discarding type entries.
    
    And an unit test was added.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit a318f89cb6a7860357ea400ab41b550a17ef312d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added the "ApiExtractor::setDropTypeEntries(QString)" method.
    
    It gets a string of semicolon (;) separated type system entry names
    that will be passed to the type system parser to deal with the given
    entries.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 789f04f50421646342b4a02ed6b6064f4a6daf3d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added a test for dropped type system entries.
    
    Also updated the TestUtil class to deal with dropped entries.

commit 1e9b1a8caa6ff92504159842c7bea408ed14fd90
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Type system parser has now the ability to ignore entries as demanded by the user.
    
    The entries that could be dropped are:
    * Object and Value types
    * Global functions
    * Namespaces
    * Enums
    
    The entry name must be fully qualified with scope items separated by a
    dot (.) and beginning with the module/package name.
    Example: to drop the class "Bar" inside the namespace "Foo" from the
    "Pkg" package specify it with: "Pkg.Foo.Bar".
    
    TODO: The parser will later complain that dropped entries found on the
    headers are not found in the type system. That's obviously incorrect,
    but to fix it all the type entries should store the name of the package
    from where the came. And that's a needed improvement!

commit 029f2af0ee52e86b924af3c32d01aa8cc81eab38
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Bump version to 0.10.0.

commit 8206f5217652cbc572ae707789574029aa4a3e70
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Removed unused variable.

commit b316bdf15167fa85c458130d9c348d22c804ba45
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Moved down AbstractMetaType creation line to avoid possible memory leak.

commit dd3e6d1e65900bcfc27a134817ce5a21e5afa759
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Update documentation for reference-count tag.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 6e9e4b546689ea6f35e84ec87b8e835c18dd339e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added an alias for the confusing index values for the ArgumentOwner class.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 2788894502f7b147ffb78486b77d7d2dcf55347d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Uncomment usefull code to get reference-count action attribute work again for all values.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 468d2cf2ef6286ca2b1dcaf76904cec736c428ee
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Global functions can now be renamed.
    
    This is accomplished via the "rename" attribute on the "function" tag.
    An unit test was added and the documentation updated.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit a26dedeca18bb5fb67ce6abeca60efa09860b253
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Bump version to 0.9.5.

commit 1b57905271dae031910496a720ce8fbb53fa2c81
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed Cmake files used to find the library after the installation.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 2b1ad4c103b102b6e633182a04eaa66af104d45a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Use QCoreApplication instead of QApplication for TestModifyDocumentation.
    
    This change was made just to avoid a crash on our FREMANTLE/ARMEL buildbot,
    the test still the same.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 04f2e68cd135fe960f1b5935800192a52a983d91
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Avoid crash reported on http://bugreports.qt.nokia.com/browse/QTBUG-16868
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit dea7d74a75d28f09edc1ab696f238f1fbbe45fde
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#636 - "Unable to navigate back to the main site from the generated documentation"

commit 461ac7a7889044a52b448f3b7afc34d71d918f5e
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Bump to version 0.9.4

commit 7135076a5daf83b93cb0340fef49cbd7e024baea
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Un-hardcode test resources path
    
    Instead of hardcoding (through the __FILE__ macro)
    use the current application directory to find the
    resources. The previous scheme didn't allow running
    the tests when the source code isn't available.
    
    List of resources:
    
    - a.xml  -> testmodifydocumentation
    - utf8code.txt -> testcodeinjection
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>

commit 2e71979bfbe68b35b1699ef5eb42904f6789bda8
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix documentation typo.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 6f64d041693f08a070582e94e09e551456333bf5
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Bumped version to 0.9.3.

commit 56cca6a7c27808d8a51f689b5b72fd62c7afe280
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed polymorphic value for classes.
    
    Fixes bug #587.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit ff931611b12b46eb138ffd364b24495792f9d968
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add support to fix bug#493 - "__eq__ and friends not implemented for QKeyEvent == QKeySequence"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit c494132cbc3addfb9f72d0952d3d4c0d2efbd80e
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Bumped version to 0.9.2.

commit 8b031e8118dd1970064480dd2bdecef513a35f3e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Renamed the "define-ownership" tag "calss" attribute value from "shell" to "native".
    
    This was done to keep consistency with the rest of the type system tag
    attributes, which use "native" instead of "c++" or "shell".
    Documentation was updated accordingly.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 3a6fee321ced8bb5c85facb7080aaf3fc9a2fefa
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Make installed tests executable
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit f0dea68e7bbab195a0c39119503bd1b80c7131b0
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Add option to install the tests binaries.
    
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit bcd6e409823741af8c1a24e0d75fabf3decbc055
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Commit: Luciano Wolf <luciano.wolf@openbossa.org>

    Include "generate" attribute for namespace type into documentation.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 335a896820ab480e516ea21f66bb43a99a6f1e9c
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Bumped version to 0.9.1

commit 79a99ad3fab3374db81228ffd1a9995d3fd847ab
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Bump version to 0.9.0

commit a85e2ea57d3a135d7179c33c3ee0f4a49fd1f6b9
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updated documentation for the 'remove' attribute of the 'modified-field' tag.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 55bc82b203c8b8589bf69aafbe5a4f53c583897e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Discards class' fields removed in the type system binding description.

commit d06d290fd76c3ab3fc47d7697fa9b476c7cd4e81
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added the 'AbstractMetaField::isModifiedRemoved' method.

commit 231471f290426fb863c564274fce08edee4336e0
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added the 'remove' attribute to the 'modify-field' type system tag.
    
    Also created a static convenience function to process the 'remove'
    attribute content and set the error message if needed.

commit 78261541fed3574229eab6eb25e12bdc1ad9cddd
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Moved members of FunctionModification to parent Modification class.
    
    'removal' public attribute and 'isRemovedModifier' public method were
    moved from FunctionModification to Modification, this benefits
    FieldModification class, that inherits from the latter.

commit 3a6cfd2357d684988b026979a8bc036dbfea190d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes spelling on warning message.

commit 3637439bf4975222f9bb70d9e17b3420afe3f589
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added unit test to field removal.

commit 3056616d5c42ae7b1be443a924d31c4156688d04
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix TypeEntry::isCppPrimitive to return true on void types.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit dba575f6f8c9361354d679090247b73d5a0b60db
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add helper method TypeEntry::isCppPrimitive.
    
    Returns true is the type is a primitive C++ type.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit bd00e840b57243714281c77d43c3c879b3680bde
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Bump version to 0.8.2

commit cacccfef82fe22f80c96d7703e178447abbf649d
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Implemented support to added functions for TypeAlias.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura  <lauro.neto@openbossa.org>

commit aa4fcd28e9f31089bd550aaadff5cdd83f6663a2
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix extraction of documentation from namespaced classes.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 8af4953e945a2ed4c58d98ea40481cf8e11150f2
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Better qproperty function check
    
    Now checking for the full specs:
    
    Getter: TYPE name(void)
    Setter: void name(TYPE)
    Resetter: void name(void)
    
    The previous behavior was crashing when there is a different
    overload with the same name of one of the property functions.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit deac4847451067e39a7ed123a81dec3db7b4da93
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Change "or" to "||".

commit 9707284de112c655042f3f1135b6daa36888ac40
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Implement support to target conversion.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 190f14502f1802ca176386e0f04f8b857aedd698
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add toStringCapability attribute to AbstractMetaClass.
    
    This capatility indicates that the given type has a QDebug::operator<<
    function, so it's only useful when using PySide extensions.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 0bb144ca33769b559d40728a74c58c55056b3d55
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added a better support for resolution of enum value attribution.
    
    Plus tests.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 679a4fd36a1aeb8410057aedb9f14aa5f49c40aa
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Private enums are now accepted in the type system database.
    
    This is done to allow enum value evaluation.
    Comes together with a nice test.

commit 4f10c6594743ee32ff076426a1160a8e076cd2e2
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Improved resolution of enum value attributions.
    
    In particular when an enum item is set to the value of an item from
    other enum. The code for this was moved to the method
    AbstractMetaBuilder::findOutValueFromString.
    Tests were added as well.
    s#	../tests/.testenum.h.swp

commit 3bb447fe5c2f00055d1aa47607cdefffaf8036ea
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Avoid check ifr include file exists during the generation.
    
    Fixes bug #382.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 228eb60d0884bf34a37f6b58d3f75676f8732614
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed AbstractMetaBuilder to handle enum values receiving boolean values.
    
    In other words, this
    
    enum {
        Positive = true,
        Negative = false
    };
    
    is now properly recognized.
    
    Tests were added as usual.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 168e6be3e2b0e14433c228aa5414b4b1ebade413
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add retrieveModuleDocumentation(modName) function to DocParser API.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 0f099ccbca080fe0ce54c4f43e8d4b777221f6dc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix doxygen tags on comments.

commit 2ccff7a7b6c0e8f2c081c5b486e7090045d1d8e6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes compiler warning on AbstractMetaBuilder.

commit 53ef443c91b2d08a8312e30cb861f7d18980b3c0
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes segmentation fault caused by bad handling of global enums.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit c5f6e116e3183cf717e91b3267a1779c48580eb6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Argument types that are arrays with specified sizes are correctly recognized.
    
    The AbstractMetaBuilder::translateType method now tries to figure out
    properly the size of array argument types specified with enum items
    instead of literal numbers.
    
    Test cases were also added.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 3d7b5bb8319144d714e02d21d3e5029ac4924a42
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed AbstractMetaClassList::findEnumValue to search for the enum in all classes.

commit d1a376bb0ba39a8b1b41b897e5ea60d8de5d1b2d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed AbstractMetaClass::findEnumValue method.
    
    It was doing the opposite that it should be doing.

commit 70f78d9f6f89d9ef0bd3e326a6250b0df78dcdc2
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    The AbstractMetaBuilder::figureOutEnumValues method now operates over global enums.

commit 13baa255ec0cd0c0f1ee57207d75f130242bc6fd
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added tests for global enums.
    
    They check if the AbstractMetaEnumValues hold the correct value
    information about the enum item described.

commit 4ec2e65de87236c7b23fd94abcaeaea6d54aa5ca
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Removed files not used by our current documentation.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit aca66a1eead8bd28fa7f8f372ef04749a9a2fd55
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updates tests to use nesting of type declarations.
    
    Also added a new cases to test the nesting of type tags a bit more.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 51f22ac1e28c538113425fd7d8d37d38444fe30f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Adds support for nested type declarations on the type system file.
    
    Instead of:
    
    <enum-type name="Foo::Bar"/>
    <value-type name="Foo"/>
    
    the nested version could be used:
    
    <value-type name="Foo">
        <enum-type name="Bar"/>
    </value-type>
    
    The old usage is still allowed.

commit 7bf148f3f6e38e2809e1e453a24618cbc41c63d2
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Use CMAKE_<CONFIG>_POSTFIX  on config files, used for cmake and pkgconfig.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 11f2da6c9b7ee528ba76c89fa0383e9eb19b054c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added documentation for "enum-type" tag attribute "identified-by-value".
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 8df07d81b29e6920faa7e08ad81ebcb1526ecdfd
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Anonymous enums now supported.

commit 9305a6dd62497953b81035dd73e73915922dcf9a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added tests for anonymous enums.

commit d7f67c32d33ee5bf95a50b8b2e6e4ab0ba1acb8b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add "doc" target to be able to build the docs out of the source directory.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 69a48d191628fa16dccb540660aa6bb96df23630
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Bump version.

commit 22c6aca12c4c35a05fd8adcc475ba45662386d0e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Bump version show in documentation.

commit 160c382a8a670cca4507bff34e468adc2847bc3d
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created cmake option 'ENABLE_VERSION_SUFFIX' to use version on generated files to allow multiples version installed simultaneous.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit cabaeff799ab5fb87661382e00752172258e1f34
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Bumping the version due to a BIC change in commit ce7f2121cd3583d67f26bcc87e8a1d2d11e599a6.

commit 8bf42dccbbf969a375115bb4fa0fab223b187e8e
Author: Modestas Vainius <modestas@vainius.eu>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fixes various memory alignment issues which cause generator to crash on alignment-sensitive architectures.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit c2b222435d1a6ddcfeb9efa58846f123d6d619c1
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed function modification propagation.
    
    Now all modifications on base function will be propagate until a new modification was found.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Lauro Moura  <lauro.neto@openbossa.org>

commit 55d0d8b6da3dab3842374786cedcaf05d9b2ddfc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add support for distributed compilation using icecc.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit ce7f2121cd3583d67f26bcc87e8a1d2d11e599a6
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created function to discovery when a class implement a container type.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit d13ce132753fe94ec5da75c6bb9f2367f8268b1c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    If a class have a non final method doesn't mean that class is polymorphic.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.araujo@openbossa.org>

commit 5dfb3d065f003f4bd6a30bd5290c7998698058b8
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Commit: Luciano Wolf <luciano.wolf@openbossa.org>

    Avoid removing temporary file when in DEBUG mode.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 23f6e57652bb990a51c46bda9af25d1c5e722197
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Colored output is disabled by default on Windows.
    Define the NOCOLOR constant to disable it in other systems.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 9a615964f54e7a6a504d603b6856fd92fd8e30df
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Use binary dir to install libraries on windows when not using msvc.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 185a7ed920e3496021b427deafc2afc5608425e0
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Use CMake DEFINES to export symbols.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit a48e9a48ee563d1eff8e65864a06059f7213eaf1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix flags used when compiling using MSVC.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit e7e6a6bc96699844de99d5a7bb905b79147e46a9
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed error during the property functions parser.
    
    Fixes bug #302
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit fa054acb0d7c37b4b8a7aca861cb3720097072b7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Disable colored output on windows (msvc)
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 0f102dce1fa1a2b6aa05a648aa949e7ad2dad04a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Make libxml2 and libxslt optional dependencies.

commit aad615fa4821d6d101af71b3d05e15ac41f365ab
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Detect operator() as operator overload.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit b1d186092e4cd7ed53bd57158c3ea4ebeea3d9ad
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Does not consider private operators.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit b4dadaa946336861ec390b20e09aaec5b561aade
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Bump to version 0.7.1.

commit 2425ccbbc64477d11a2b34c90a21886bafd6d2e9
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated allocator class.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 8d6fde64052f835f2bba652e94d782a27b1bc29b
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Commit: Luciano Wolf <luciano.wolf@openbossa.org>

    Fix wrong behaviour of topological sort.
    
    When dealing with repeated and unordered classes it can generate an
    invalid result array.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 832e0d24600e329133977c91692e6ab30a4aabdf
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed memory leak.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 85876cca462cf1493615e7118950fb22571d6f26
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed tag processing to accept "inject-code" as child tag of "add-function".
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit b06db227fef74139407e06f1c1e03efb84024c07
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Put back variable-name in 'reference-count' tag.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 6251020ec60d0efea82d0c4db2aa8e86a4326128
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Bump version due to ABI changes.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 73bcaae8d2c4131be34b48c81e537de71aa2dbd5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#260 - "Can't modify argument name of a function added with add-function tag."

commit 9467baf894bd16f6be98731b58e07bb239e179fb
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Removed unused global variable.

commit f85ba05228cb83f95e57ba70f1ef4eba47faa74a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Init struct values on constructor.
    
    Newer versions of parser do this, e.g. the version used on kdevelop4.

commit bdc3622c47968ae529e2d14ceb2d770a4f498379
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#253 - "Segmentation Fault when clicked on ListWidget with TableModel"
    
    Tag not only abstract functions but also non private functions with "EmptyFunction" when
    their visibility was reduced.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 054e4b58e5e627e06537926e66eca9063b7da95d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added a method to return the template list from AbstractMetaBuilder.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit af35c815cae28ca9198c59b5e5c505d1761f5f79
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added test for a class inheriting from a container template.
    
    The test is simple and only checks if the classes were inherited
    properly.

commit 3847c1dd63e88f2c8b0965b59616c82431146183
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Namespaces must be traversed recursively as they should.

commit f2de656e298130f27acb50f50241fcf73ceeece1
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added test for class member inside a two nested namespaces.

commit 8b63f6bf42b24c996ac404028977ccb5c13d646c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Guarantees that namespaces and inner classes will not be repeated.
    
    Lists of global namespaces, inner classes and inner namespaces now
    have duplicated entries removed.

commit fe808645e56f49b39e2926f43babf30bc460d56f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added test for template inheritance involving forward declaration and namespace.
    
    This test case is similar to a previous test with forward declaration
    except that this time everything is inside a namespace. This slightly
    different situation could trigger problems in a different place
    on AbstractMetaBuilder.

commit aa2fd7da197b8aacdef84db6ba1331cf69b9eeb7
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Adds test case to namespace members, namely enums and functions.

commit 09738c41750ec0f817cd028ec2daef51e090b9d5
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes usage of std::unique method.
    
    std::unique looks for adjacent duplicates in a list, so it needs
    to be sorted for the algorithm to work in all items.

commit b8f65374a51d3384bb2f3322d2af6d328443ad4a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added test for template inheritance involving a forward declaration.
    
    When things goes awry methods from the template parent class got
    duplicated in the inheriting class.

commit 39453a10162a58101659c105ae9916d16500ecf8
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Class members are traversed after the classes themselves.
    
    To prevent a method that uses a type that was not ready at the moment
    of analysis, the classes are traversed separately and before the class
    members, namely fields and methods.

commit 28abb50646ae93cd06f9b7f03c50bd553b6b6fd7
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Type translation now looks in the class' parent scope.
    
    When trying to figure out a type the AbstractMetaBuilder::translateType
    method should also look in the class' parent scope.

commit 1f0b814f5a25f41da63f293921227c7aaa6780d9
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added test for type resolution order.
    
    Methods or functions signatures using any type from the library being
    wrapped must be processed after all the library types or else the
    function/method will be rejected.

commit 0892010fea31d6b30e6d641cca0983617b87b9d7
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented support to namespace on documentation.
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>,
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 529b1b556ff6039bfd592c7e0c1db99cd38f100d
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed namespace resolution name.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 0bcda21488e553bd02590dbe8196625fa03b3be8
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created test for namespace resolution name.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 747691ac81f69f22d7b069edd24819945c59520f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix cmake files used by other libs to detect ApiExtractor.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 49403f8f6bc61f9c0f847f9294f6d39e7a44f982
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix compilation and instalation on MSVC.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 56de31c9a077f6702809d3a0cfcb54e2590f5d62
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fix trivial spelling errors.
    
    Author: Didier Raboud <didier@raboud.com>
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit d99721901f2d1fbbd6ff5fffb86bd8c3ebf33708
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes AbstractMetaBuilder::fixDefaultValue method.
    
    For some reason if a default value given to above mentioned function
    is exactly "QVariant::Invalid" it is turned into "0". This is done
    for no apparent reason and causes the Python binding generator to
    produce bad source code for the QtSql module bindings.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 79725b4069ced78cad9c7b4f2b94bca41b0d5469
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Commit: Luciano Wolf <luciano.wolf@openbossa.org>

    Exclude signals from named arguments check test.
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 5938227a60080b5ea2389cddc89d1fcdf86d2420
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Documented rename to tag inside of argument modification.

commit 7cf4bd5b138a71940dd5a24052e6bed815e3d807
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Append more details on message related to nameless arguments.

commit 138decc97e919742a701a355f3e99f3c32dc0de7
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Only display warning for unnamed arguments when this argument has
    default value.

commit c643d15f83f8b99f7729bb0a3c812a09413f871d
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed warning message output.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit bcf69f986dad54d3643757362843a6fcbc1adf4d
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Enable warning for arguments without name.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 189c080582682a8aa7825809638c48b3ea341430
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented support to "rename to" in argument modification
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 59f9f47f748933cba7c964988af4e4bb590b2284
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Make the progress message funny.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Hugo Parente Lima <hugo.lima@openbossa.org>

commit 9b4d21ef055d3ab9ed1d40c102f346600e845914
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Simplify progress message.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Hugo Parente Lima <hugo.lima@openbossa.org>

commit 71e642d76d003328c17c5018d177717345da156d
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated documentation version.

commit 3b00e7f5d3dfd714fd568778736a62a700a11f2b
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Use qualified c++ names instead to do the topological sort.
    
    Not using topological sort will generate an incorrect sorting when
    there are two or more classes with the same name in different scopes.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.araujo@openbossa.org>

commit c463a2e9be707d068f7ae1fe6765b42c354e29cb
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added the "default-constructor" attribute to the "primitive-type" tag.
    
    The default-constructor attribute specifies a way to build an instance
    of a class declared as primitive type using default arguments.
    Documentation and a test were also added.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 37e9576bbb5dba924085c49ca999d0d5b060ff19
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Bump to release 0.6.1.

commit af376c1b5d6ce7927a0de1a1927d66033a64e1b8
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Bump version to 0.6.0

commit 4607b09d939a909b7145948a9b6378364386d52f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added methods to AbstractMetaClass to verify the presence of protected members.
    
    Added methods to verify the presence of protected fields and members in
    general in a class.
    
    Reviewed by Renato Araújo <renato.filho@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 91e3f4383a4b571d6d3d4d9ca5a80d1f951e8294
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added methods ApiExtractor::findAbstractMetaEnum.
    
    The new methods returns an AbstractMetaEnum for a given TypeEntry,
    EnumTypeEntry, FlagsTypeEntry or AbstractMetaType.

commit cd125a0c2ffe6213719ed59adbd50c16292b21aa
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Use external CXX_FLAGS on compilation flags.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit c67f42358734918e541dab13ab614f7963c74519
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Disabled GCC optimization flags by default.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 9955f4e0f6b94f4fd83a34e72a83a3624b2b16ca
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed invalid links flags on MacOS.

commit 6ce6c0c8c0e2a5ee1d3a3b506e14742cfe496c29
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    The initialisation of TypeDatabase must happen first in TestUtil constructor.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araujo <renato.filho@openbossa.org>

commit 726a83eafc70ec74cf63745e9b92054eb2d10588
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes a misspelling.

commit 9bc46a05e56b21d8caccb77ce2a864430cdd4372
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Imitialize apiVersion on typesystem.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>

commit 5be88461be459cc2254c746d7edeff4194bc9d5c
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Document about the flag "since".
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 624cef5c6eb8e644eb4a6aceb66d093e4e9f234b
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unittest to flag "since".

commit ebe4f8577852c4773e5f6f1e6eae7b3ad4ad963d
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented support to flag "since" on typesystem.
    
    With this flag you can specify after which version the tag became
    valid.

commit 3c72cfa35cd27b6c2303307ce390d0f80f0d2c2a
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Avoid export unnecessary symbols to public api.
    
    Fixes bug #209.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Hugo Parente Lima <hugo.lima@openbossa.org>

commit 399fe8096a7da5ffa7fc82d1c0c17c8a2c219a46
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Revert "Fix files to link against on Windows."
    
    This reverts commit a7bce60de9bc884506b4f4d13ea538702d459597.
    
    This CMAKE LINK_LIBRARY PREFIX does not exists on cmake 2.6.

commit 023484d5b61c880421e15d047bdbd4ac9584ecea
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Remove ancient code commented out years ago.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit a5f5b97c362efeae882535c5e6838a563755b7bd
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Comestic changes to follow our code style.

commit a1390adc41e139ebb1ad8b2e3de092f6619dfa7d
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    When the class is a alias for a template class, proper rename their constructors.

commit 76a8538ee382fd4c03b68922889ddb42b892bce1
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    When the class is a alias for a template class, copy all properties from the base class.

commit aec8325be1864c904ad333dfb2b554bd82ca4109
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Add more tests for hasNonPrivateCtor method, when the type is a alias for a template class.

commit abf836b136aaf461da21f6b77f6af9712be2d7bb
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Remove useless castType variable.

commit c4f42ebf3ead3f8f670b7f40e8d1802191ae7300
Author: Catalin Iacob <iacobcatalin@gmail.com>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Fix MSVC compilation failure.
    
    The error message was:
    apiextractor\include.h(78) : error C2375: 'qHash' : redefinition; different linkage
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit a7bce60de9bc884506b4f4d13ea538702d459597
Author: Catalin Iacob <iacobcatalin@gmail.com>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Fix files to link against on Windows.
    
    On Windows there is a distinction between a DLL (foo.dll) and the import library
    (foo.lib) that a program links to in order to use that DLL.
    It seems that CMAKE_LINK_LIBRARY_SUFFIX is perfect for this distinction - the
    suffix will be .lib on Windows and .so on Linux.

commit 3491dbeeb5156f8d7d840d415f19173d236194e2
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Do not add the base class as a dependency if the base class is not in the graph.

commit 4652c6b79237697658171bb5c4408d3fb99e1139
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Add better error message when a cyclic type dependency is found.

commit dc5daf211d1641a9fcf2b59bbd8d8b628532e14d
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Do not copy the QList, use a const reference instead.
    
    QList copy is cheap, because it's implicity shared, but const references are much more cheap indeed.

commit d8460e5f09dd0873fb83585bc2a3718e7fa6fdad
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Bump version to 0.5.2.

commit 71a253070dca8e6fc577f1e9de192841e5fcbd28
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated git-archive use to keep compatibility with git version 1.6.

commit 9acbd4c957e2d53a536249f62eda62d285f9db12
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Fix soname of ApiExtractor.

commit c74d3eaeb6b0834b7537bc31d8581394e3f6b534
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Bump version to 0.5.1.

commit a9ba178538a144cc32a2aaa2144de9f9a33e5d16
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    added gitattributes.

commit cc5bde6506a7d94be71ff6ead74abb0d7ba296eb
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed QFlags lookup.

commit cd881529b2efd9b9014e7d3548c12163eab6b1fa
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Tag user added function inside namespaces as static functions.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Renato Araújo <renato.araujo@openbossa.org>

commit cd3f6c7b35f69cf6bcd7b2b22b50ff4c4a5510b1
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Bump the documentation version
    
    Reviewer: Bruno Araújo <bruno.araujo@openbossa.org>
    Reviewer: Willer Moreira <willer.moreira@openbossa.org>

commit 2781da1f1a17ae8e47495dbfd3e075ec758289f8
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Added tests for template instanciations using enum values, all under a nice namespace.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Renato Araújo <renato.araujo@openbossa.org>

commit 5223ac067a3190dc312da65ab74632b4ad4101e3
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Fixes template instanciation when the template parameter is a enum value.

commit d49e7c347c942cbf70a0f48f89e1956a5292e117
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Only add an enclosing class to the dependency graph if it's part of the graph.

commit c4c00eae0f7db29b7c20f03dc62555ca74359bb6
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Add EnumValueTypeEntry.
    
    Enum values are in global namespace, so sometimes you need to get them from TypeDatabase,
    a use case for this is a template class where the template parameter is a enum value.

commit 6fa5a5667b040c4d5cc5eeafa1dbd08626a652a8
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Remove detection of duplicated enum values, this was implemented due to a bug on boost::python which
    doesn't exists nowadays.

commit 3d9612847abc9d1ba70f6dfb5a9fb7468dc9b818
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Support 'void' argument.
    
    Reviewer: Anderson Lizardo <anderson.lizardo@openbossa.org>
    Reviewer: Renato Filho <renato.filho@openbossa.org>

commit d878e76b996ac8b31ad248b150ef99dce2a32d87
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Adding tests for 'void' argument in functions

commit 5978002b43dce7e2f0ab1d542f773ca1fb8ea411
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Do not generate bindings for global functions when the typesystem was loaded with generate=no.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>

commit ccc453aba095ba3f871fd597c63da345c5acc254
Merge: 4a11c64 c36a2db
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Commit: Luciano Wolf <luciano.wolf@openbossa.org>

    Merge remote branch 'luck/fixprivctor'

commit c36a2db49a5869bfc1c71921201584c942b0bb31
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Commit: Luciano Wolf <luciano.wolf@openbossa.org>

    Update class info once a default ctor is added.

commit 4a11c647047d0129590df3094bc937bd04771ad1
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Add method setTypeEntry to AbstractMetaFunction.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Renato Araújo <renato.araujo@openbossa.org>

commit 66273e0758d52c7abb3a3fea52b4d53e173d1618
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Added documentation for function tag.

commit aa0cc354998cbe158b9d5f70c85553ae1f3a83af
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Show a warning if a global function defined in typesystem was not found by the parser.

commit dcbc733ba96701e2537261135498a98c4d7ab122
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Fix constness of FunctionTypeEntry methods.

commit 8bf5a6f37594b3aec18a044281a8a4a3f49bc0de
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Do not create two AbstractMetaClass for every template class.

commit 9ff362145c55f5b7fd3e505a202e4b56285849d1
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Remove hardcoded QXmlStreamStringRef class from ApiExtractor.

commit 20545a93aeb4870b99a5c304a8a3d5e49979e0fc
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Fix class dependence in topological sort.
    
    - An inner class depends on their enclosed class.
    - A class depends on their namespace.

commit 2cbd41867ace8fefec4655905e3f4f75366ef064
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Write graph nodes using quotes on Graph::dump.

commit 72444f97b7fc88391609007efbc775c7b44943f2
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Bump version to 0.5.0, due to ABI breackage.
    
    ApiExtractor is not prepared for binary compatibility, so this will happen
    a lot.

commit d1fd5fef08ea61aa894c994eced1a7c858f11bca
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Do not set the include file on TypeEntries when the include file does not exists or
    it's the global header.

commit a03877b8afafe7f557edf45440aa0a771f037a75
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Fix constness of TypeDatabase methods.

commit ef6383fa8e11a1745ee810123a01e86c59cb8b1e
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    TypeDatabase class moved to its own header/cpp.

commit e12ce28dfa870c3622cc844cb8ca41de2fc18583
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Added the "function" tag to ApiExtractor.
    
    This change the behaviour of ApiExtractor regarding to global functions.
    All global function you want to be exported to python *need* to be especified
    in the type system with the function tag, otherwise they wont be exported at all.
    
    The syntax for this new tag is:
    
    <function signature="..." />
    
    This is just the initial work for this tag, it is missign support for:
    
    - Function modifications.
    - Add a function overload with add-function tag.

commit c9ac862107eb78ade1dea20a2b9aacb2fe3d1f46
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Include class moved to its own .h/.cpp file.

commit ebc4c768fc0f6cdf179f5592f11012f14c27646b
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Removed methods includeFile and setIncludeFile from AbstractMetaAttribute.
    These methods were moved to AbstractMetaFunction, because they are created
    to store the include file of global enums and functions, but for enums, we
    store the include file in TypeEntry, as functions doesn't have TypeEntries,
    only global functions need this.
    
    Also the new version of includeFile returns a instance of Include class
    instead of a QString.

commit 76f2f2ced8f2a65bf1db49dbe0f5c6a9f5f93f8b
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Set the include file for enums.

commit 11a2497da838c66e529f71cffc441bd097d7007c
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Fixed constness of Include::isValid.
    
    P.S.: This is a ABI change.

commit dbf905606f45f803d0c2eb88f3f2e0bbac5cbe39
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Added qHash, operator<<(QTextStream,Include) and operator== to class Include.

commit d45bbfbc7e4a5186939336bf7cfcd68efedbf4e0
Author: Carlos Goncalves <mail@cgoncalves.info>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Do not build tests if explicitly wanted to. Default is to build.
    
    The majority of users don't need tests built. This will reduce build time
    significantly, and packagers will be thanked for it. To not build tests append
    -DBUILD_TESTS=False to cmake parameters.
    
    Reviewer: Anderson Lizardo <anderson.lizardo@openbossa.org>
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>

commit 47f656d55583aac08ce7e893ab430fc53a0ff9e7
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Added ContainerTypeEntry::typeName() method.
    
    With this method we can get the string used in typesystem to declare the
    container type (list, set, map, pair, etc).
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
    Reviewer: Anderson Lizardo <anderson.lizardo@openbossa.org>

commit 63415321d049bfdf059b780ed1e1d845639c81dc
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Adds reverse operator functions to the proper classes.
    
    AbstractMetaBuilder::traverseOperatorFunction does additional checks
    to avoid mistaken a class' reverse operator as a direct operator of
    another class.
    
    An unit test was added to check for this case.
    
    Reviewed by Anderson Lizardo <anderson.lizardo@openbossa.org>
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit 2cf57dcef29a9716451c3cf84deae9851bbae5a5
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Do not add an operator function to a class from a referred type system.
    
    API Extractor does not add operator functions from the module being
    processed for generation to a class belonging to a referred module,
    that should not be generated.

commit 716a82dc3728ecc4f32ea7a4da6415536ca263aa
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Adds many tests regarding default copy constructors.
    
    Also updated other tests dealing with constructor counting.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit 9652111793433e936372bfb3f572204c90a99c70
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Value type classes now have implicit copy constructors added when needed.

commit 3117e7368f631d0cabd13ebe378d70f8f9db18d1
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Marks user added constructors with one argument of a custom type as explicit.
    
    This prevents the generation of undesired implicit conversions.

commit a09e728c1a64df3daad580d28a3e129be6b6cb32
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Adds convenience methods regarding copy constructors to AbstractMetaClass.

commit 5ff0e96dbb81a8b4ede23d2059496c366c84de81
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Tests if added constructor with custom type creates an implicit converter.

commit e13aa4605c7f3ec5c8685e37e0e5a874c5b983dc
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes attributes for default constructors and class' "isPolymorphic" flag.
    
    When a class has no constructor explicitly declared a default is
    provided by API Extractor, but it should be marked as "Final".
    
    The setting of the "isPolymorphic" flag done in the
    AbstractMetaClass::addFunction method must take into account if
    the class has a virtual destructor, as it is done in the
    AbstractMetaClass::setFunctions method.
    
    The already existing tests cover the cases affected by the changes.

commit edf53f52487f6c2ba6041f8ef5e475353eda3e4a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    An inner class should not be polymorphic just because his enclosing class is.
    
    This commit adds a test for that situation.

commit 6c8d14af878f8d5191a89af397d0cead9f2246c3
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Changed routine to build source packages.
    
    Our changelog is just the output of git log, so it's added only on source packages
    and don't need to stay in the git repository.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewer: Anderson Lizardo <anderson.lizardo@openbossa.org>

commit 4377577126b44307ea859a19fc2e526545ba0ee9
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Bump version to 0.4.1

commit b174ca0f7fd71538f0224bee77906e0865819559
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Bump version to 0.4.0

commit b67f6e6c2f89cc57cdd2b2814f4a311fa3e49ec6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Meta type minimal signature should place reference symbol after pointer symbols.
    
    The minimalSignature method was placing '&' before '*'. For example,
    the signature "foo(Bar*&)" was becoming "foo(Bar&*)".
    
    An unit test was added to verify AbstractMetaType::minimalSignature().
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Anderson Lizardo <anderson.lizardo@openbossa.org>

commit e506075d4fd15d66dd62d5ee3da23d260a1e0a87
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Remove some java-oriented stuff from ApiExtractor inherited from QtJambi generator.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
    Reviewer: Bruno Araújo <bruno.araujo@openbossa.org>

commit c2a35449016e3d5873f3e1657df51e2ff854cd2e
Author: Kalev Lember <kalev@smartlink.ee>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix pkgconfig libdir variable with lib64/ or lib32/ directories
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
    Reviewer: Bruno Araújo <bruno.araujo@openbossa.org>

commit 3cff3536c819b0c79aea9b5b72301622eea62c76
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Pass QHash by reference for dumpDot method.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewer: Anderson Lizardo <anderson.lizardo@openbossa.org>

commit 199baeb498888cc12b1751f689b9bad79f03705f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed error checking about already existing conversion rules.
    
    The error checking that avoids duplicated conversion rules
    definitions applies only to general type conversions, not to
    cases specified to a function argument.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit 571a17cfcc76ad5f27fa1627b9ffd90aeb56e554
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix conversionoperator test code.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewer: Bruno Araújo <bruno.araujo@openbossa.org>

commit 1b6264028ad7edbcfddfe163d4c2156d7e626717
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Disable debug output about typesystem on conversionoperatortest.

commit 84b8b4a5b7581c4076bfbf1a19a324cb0561baae
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Remove Boost::graph dependence from ApiExtractor by using our own code
    for graph topological sort.

commit 62dfdd85bbcac527be99183cfc8e8f7b92902f11
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Don't add external conversion operators that were removed on type system file.
    
    With tests, of course.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit 6dbd55084104eea9a3e950456a4bf0d966ee9ac9
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Adds the AbstractMetaBuilder::setupExternalConversions(metaClass) method.
    
    The code to add the external conversion operators for a class found
    in another class was moved to its own function, setupExternalConversions,
    that is called after all classes were traversed.
    Not all classes are ready when fixReturnTypeOfConversionOperator(metaFunc),
    the method where the moved code dwelt, is called.

commit 6f8cde0951da369d0b2960d8634ab9cf2a4b08d3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    External conversion operators are now part of a class' implicit conversions.
    
    AbstractMetaClass::implicitConversions() returns externally declared
    conversion operators in addition to its own implicit constructors.
    
    The implicit conversion tests where extended with the new case.

commit 3f6b0576c90960d4474623987ccac2877a34869c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added method AbstractMetaBuilder::fixReturnTypeOfConversionOperator(func).
    
    The new method fixes the return type of conversion operators:
    they should return the target of the conversion as type and not
    the type of its owner class.
    fixReturnTypeOfConversionOperator is used in traverseFunctions.
    An unit test was added for this case.
    
    Note that this behaviour could be fixed in the parser. I dare you!

commit eaec9c4a8ace3a91fccb12492d445fc939cb8bf5
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    AbstractMetaClasses now store a collection of external conversions.
    
    Conversion operators that result in an AbstractMetaClass are added
    to a collection belonging to said meta class.

commit 4453b8a31a9e08b24d5f5679c990d66cbf123077
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix Config.cmake library path
    
    Set to absolute path with cmake variables
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit 490d84059bcef9b832e39a608acbbe1401347212
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Remove FindApiExtractor.cmake file in favor of ApiExtractorConfig and Version .cmake files.
    
    This is the right way to go, according to:
    - http://www.cmake.org/pipermail/cmake/2009-April/028504.html
    - http://www.cmake.org/Wiki/CMake_2.6_Notes#Packages
    
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit e363a1d1d2aa2a05139719adc02756766bc92cc1
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix add-function tag when adding a global function.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit f59e7ee17f8be5d29be464e56c0cf901b8e3f023
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Remove debug output from unit test.

commit ebf9aed32e291bb832fa59fa8dd6f17fe004e4e2
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Reactivated 'reference-count' tag.
    
    The type system tag '<reference-count action="Add|Remove|..."/>' used
    on argument modification was uncommented, documentation was written and
    a unit test was created for it.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit 8d037108eb0216e178855bb2ba22a09154454ea9
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix AbstractMetaFunction::implicitConversions.
    
    - Public ctors added by the user with 1 value-type parameter are always added to the implicity
      conversion list.
    - If the ctor visibility of an function was modified from public to private, the function isn't
      added to the result.
    
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 20998c0dc9532630ba549af9a8321cd736c79368
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Assumes utf-8 encoding for conversion rules stored in external files.
    
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit a0c267b10ad01064e9282ea38577cbd71d0944af
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Code injection from external files are always read using UTF-8.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit 31234b1869a66d161fd6b916823cae66d03e22f7
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Do not count user added constructor when searching for implicity conversions.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit 1b3edf359d122cc36378df6ec905e07a77bd8580
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Added tests for ownership modification.

commit 4a14c6632f6a4245a20bd46cb94f9d807188276d
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Allow a class to multiple inherit from various object-types.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit 5d456d500f3e142902523df2157bbef1b82bfe1a
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fixed implicitly conversion retrieve values, for accept constructors with default arguments.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit 9d4b69933df49c778e4b96a23894f26d4f741283
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix AbstractMetaClass::has* methods, so they only check your own methods.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit 8ae4a89abd334610293a4785856acbf59ffd25af
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Add helper method AbstractMetaClassList::findClass(const TypeEntry* typeEntry).

commit 8f3b64c6570d07a9d807ce245291d6565cf3f4ae
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Test TestModifyDocumentation does not need X11 server connection to run.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit ab2840dfef7bcab2dca312092748326e3f7ce6cf
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    When a constructor able to trigger implicity conversions is removed
    it should not appear in the implicity conversion list.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit ce806c195494dc0c3c727d508378a434b5a676c6
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix AbstractMetaClass->isPolymorphic method, it was returning false for QEvent and other
    classes having just a virtual destructor.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit c3c654e7b7322cc5b1a2e0148143311caa9d26a4
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Correctly search for typesystem in all available typesystem paths.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit 8dded56b403fd979f0b567666017dc12f7c1a9b6
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Added function can be tagged as static methods.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 11679b1008b9443ee817e382731ea9049eb2fe64
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Disable verbose output on tests.

commit 2495e9f51b7e4795d685d9d5ce9fca5fb31acacc
Author: renato <renato.filho@openbossa.org>
Commit: renato <renato.filho@openbossa.org>

    Bump version to 0.3.4

commit 08fc38b73134cb2491f754c529b30a7babce7400
Author: renato <renato.filho@openbossa.org>
Commit: renato <renato.filho@openbossa.org>

    Updated ChangeLog.

commit 0a740ad90f467ccdf00cb674eb80310ddb115b50
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Adds support for varargs in AbstractMetaArgument, AbstractMetaType and VarargsTypeEntry.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit f2fd366c90dd64a37f48e5ea554b8aebf00b6de5
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Adds normalizedSignature static method to TypeDatabase.
    
    All the uses of QMetaObject::normalizedSignature were replaced to use
    TypeDatabase::normalizedSignature; the former always changes the
    unsigned primitives to the shorter versions (e.g. "unsigned int"
    becomes "uint") that aren't necessarily used by the parsed library.
    The new normalizer changes back "uNUMBER" to "unsigned NUMBER" if the
    former is not present in the TypeDatabase.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit cb253eb807d15586a12f5de86fd716286ed3b15d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Modifications in ancestors are not returned if the current class reimplements the function.

commit 5900a05a2079a60a71500ffa1de56e58fbd9c1e0
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Modified AbstractMetaFunction::hasSignatureModifications to check for function renaming.

commit aeeb950b50a108a2475c0ee630d74420ccb3a0b3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Adds support for module level 'add-function' tag.
    
    The TypeDatabase now stores global added functions as well as
    function modifications.
    The AbstractMetaFunction::modifications method was improved to
    check for global modifications.
    
    The test suite was updated with the changes.

commit 00a880f4d61a6a32f3e1dcaa4a692a6e430c123a
Author: renato <renato.filho@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed support for modify args in add-function tag.
    
    Created tests.
    
    Reviewed by Hugo Lima <hugo.lima@openbossa.org>

commit 6d16532a7d504cd1fcd7553957e7e53beac7fc37
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    TypeEntries created for unknown types found in user added functions
    are marked as CustomType isntead of TargetLangType.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit 8b65c7afec2efb89c0e69154b1dc621b9dee963a
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Initial version of ownership documentation
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit 2346d25032410cc708088926251acb954c3cfce4
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Adding index attr to parent example

commit 5c8637fd719e9dfd0415173128d0d8ea916b7d9b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Modified the AbstractMetaFunction class to have a separated flag to
    indicate that it was added by the user or not, instead of using the
    AbstractMetaFunction::UserAddedFunction enum value. The old way
    prevented the function to be an UserAddedFunction and a
    ConstructorFunction at the same time, since this information was
    stored as an enum of the AbstractMetaFunction::FunctionType type.
    A test case was also added.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit 139e84644ea0088e16678e8b8c17b9e5b4fd6269
Merge: 9e03faa c1353d4
Author: renato araujo oliveira <renato@renato-note.(none)>
Commit: renato araujo oliveira <renato@renato-note.(none)>

    Merge commit 'mainline/master'

commit 9e03faa25a62176fef9a0bddaa29a95eea32715d
Author: renato araujo oliveira <renato@renato-note.(none)>
Commit: renato araujo oliveira <renato@renato-note.(none)>

    Bump version to 0.3.3

commit 221d87777aaa0bb1c09df509ae354f59a297872e
Author: renato araujo oliveira <renato@renato-note.(none)>
Commit: renato araujo oliveira <renato@renato-note.(none)>

    updated changelog.

commit c1353d49402e79fd5a2d0006655004315be07752
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Install FindApiExtractor.cmake in the correct directory when using
    cmake 2.8.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 6d8dea54288cf7864c602b826b5be90b4a0b95f6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added methods to set and check for protected and virtual destructor
    on AbstractMetaClass objects. Also added tests for this.

commit 49610841579e8a7ef614477a0e73c78502c2afc9
Author: renato araujo oliveira <renato@renato-note.(none)>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fix topological sort for args with default expression 0 and value type.
    
    Reviewed by Lauro Moura <lauro.moura@openbossa.org>

commit 4908dc29a59be124ad01eadbfbbab2cdb66ed2f3
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    - Fixes flags used with msvc.
    - Set the library output path to the tests directory, so the unit tests can
      find the apiextractory library on windows.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit 9ee8473f3ad9b19318110762e2a203996330d060
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fixes various bugs on FindApiExtractor.cmake found when trying to compile
    generatorrunner on other platforms.

commit e83754ac82ccc8cf8083f9c442a57b6939eefe82
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Export AbstractMetaField class.

commit f2d02ce9d463edaff78ff1d0f3f3c6c9ba9e9159
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Do not export global variables used only in typesystem.cpp.

commit e19c8f718dea4b644332188505a4cf38997302de
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix install command, so it works on windows.
    When compiling with msvc, use msvc specific flags, not the gcc ones.

commit a7fdd58a4312b60d2bc2aeaf49216b74c4237e65
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Export a minimal set of classes in ReportHandler interface, to speep up
    compilation and avoid link errors on windows.

commit 8f8de4e763269b57c57eb4d5047139177d7fd1a8
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Do not exit with a assertion failure when the typesystem was not found.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit 890cf26e0a67f2fa2b2312c1a09a6ed9e9cb4294
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Do not attempt to write/read a file when the file name is a empty string.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit eb99fbe68dcd618818858a409238b36404af94f2
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix windows macros for dll export/import.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit 0132c7fba7d6774f0fa02a728ad869674f59b297
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Removed unused parser file.

commit 51608b9e0364932400247f0d5af6605474e0b779
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix apiextractor unit tests.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit c28ad1fcc42821db283b893ea74d54b4d9b85591
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Add public visibility for more classes.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit db2c18afb616db734ddc2f80194d0151c22da17a
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Remove CustomTypeEntry class

commit 8eb3dadd5266f3fe2ed33abfcc1c2e8f17762a22
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Remove JObjectWrapperTypeEntry class

commit 126289e702c9d6c2f3c8a99de66cecdd4fd53a88
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Remove QThreadTypeEntry class

commit ef54513a48df32b3f5d9b19e077d0ac4fefeae63
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    The type system parser now reuses TypeSystemTypeEntry for the any module
    file being parsed. The existing module retrieval is based on the
    module name given as attribute of the "typesystem" tag. This allows
    helps when a single module is described on multiple type system files.
    
    Reviewed by Renato Araujo <renato.filho@openbossa.org>

commit 4b1d0e2c4213066bca5f1363403875772abd6219
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    fixed the appending of code injection to the module;
    previously only code injected from a file was being
    stored correctly in the module object, code written
    inside the 'inject-code' tag was always lost

commit a98088877fc638ce9f068aaaa5fa4c7f883a1a87
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    APIExtractor is a huge amount of legacy code inherited from QtScriptGenerator,
    but QtScriptGenerator itself isn't a library, this explains why libapiextractor
    does not care about things that every library SHOULD care, symbol visibility and
    binary compatibility.
    
    This commit adds symbol visibility rules to libapiextractor as the first step to make
    libapiextractor aware of binary compatibility.
    
    This is also needed if we want to be able to compile and use libapiextractor
    under Windows.
    
    Note: Not all symbols were made public, just the symbols needed by shiboken,
    boostpython and doc generators, because IMHO libapiextractor needs some love
    and a API review. More symbols could be added later if needed.
    
    Reviewed by Renato Araujo <renato.filho@openbossa.org>

commit 9deca0a40aa9cd31510e0ba833fe207ac7e3dbab
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Documentation for container-type tag into typesystem.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit 85be0d4d548bef2b249026d80dfb59274253bb17
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    - All reverse operators are now properly tagged as "reverse operator".
    - Reverse operators aren't tagged as static methods anymore.
    - Reverse operators now have just one parameter, the one that matters.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit 6067084bbfb6d479bcb886c73dba402c71257765
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Remove the stream argument when modifying <</>>
    
    The global operator function was being added to a class' method list
    but without modifying the argument list by removing the owner class.
    
    It was removed a long time ago when working on boostpythongenerator.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit b6db1498536ce909dad79e85c00f0cec9a4e0340
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Use isStream instead of hardcoding QDataStream
    
    Also added documentation

commit b70c2847a571ae6bad4bd99535bf6f587c7b7371
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Adding support to attribute stream in TypeEntry

commit e8c6f4e1a1bbfebdf836e48256ff81a06daf9322
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Add m_stream attribute to AbstractMetaClass

commit d8dc3d4e8ea3597497ee42b7cd02975213b858ba
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    The AbstractMetaBuilder::traverseFunction method for added functions
    now decide the usage pattern for the AbstractMetaTypes of the arguments.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit 3a73744ddd334c8fa420b8c1c801b58660965940
Author: renato araujo oliveira <renato@renato-note.(none)>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Propagate generate flag for child typesystems.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit da0ce894660836b1b311e529125a339645a869d4
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Add "()" to the function signature of functions without parenteses.
    Without this the function without parenteses will be like an alien to
    all others APIExtractor functions.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit e0a5b65fd9213f77eabf95fcd25b591e3d7966c0
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Added convenience method AbstractMetaFunction::injectedCodeSnips.
    
    It returns all code snips in a function.

commit fd82ee68418264b9b88f1c32411b8c6bbcc03c76
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Added convenience method AbstractMetaClass::findFunction.
    
    This function returns the first AbstractMetaFunction found with a given name or
    a null pointer if no functions were found.

commit 5ccbce7a917a2a602ad1fa32d8682afe32dd68bc
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix a crash when the function signature provided by add-function tag does not
    have parenteses.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit 64f7ae3334171168ff803f339d55a179a6e06001
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Updated documentation of conversion-rule for argument-modification.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 4329d974ec98b74b74358718cf17055a00672e2b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    conversion-rule tag now works inside value-type and object-type tags.
    To access the conversion rule, use the new method TypeEntry->conversionRule
    NOTE: this commit is a modification of code produced by Hugo Parente.

commit a7880bedd92bfed75908c055eae641610f6f6ca2
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Added documentation for tag conversion-rule.

commit 8e21edd40416a0d6dd87afb6405f4f0443caca83
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Added functions aren't marked as virtual anymore.
    
    Reviewed by Renato Araujo <renato.filho@openbossa.org>

commit c63f069dba7159ec722e97eae886de182466e2fc
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fixed the openbossa logo on the pysidedocs theme.

commit 2c860a30499ac1517706f247662598406dbcbd8e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Luciano Miguel Wolf <luciano.wolf@indt.org.br>

    Added documentation for the new class "AddedFunction"
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit 071233773dd5a4f3ccacebf77f2102780a9dc624
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Luciano Miguel Wolf <luciano.wolf@indt.org.br>

    Added support for add-function tag into typesystem.

commit 73f6ac4faafed5c8c275ff01a22a53bfbc7fc515
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Luciano Miguel Wolf <luciano.wolf@indt.org.br>

    Implemented a signature parser for the AddedFunction class.

commit ac27d38d44bef714b08d8b675ae105ac41047bfa
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Luciano Miguel Wolf <luciano.wolf@indt.org.br>

    improved AddedFunction struct with more informations;
    extended ComplexTypeEntry with a list of AddedFunctions

commit fa5c2fa99cd0dae464f3cfa6686e2a31f2684687
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Luciano Miguel Wolf <luciano.wolf@indt.org.br>

    added AddFunction struct to type system collection of objects;
    the purpose is to allow the creation of new function/method signatures

commit f2bb27557caa1a97f73b690650bcad746418a7c7
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Luciano Miguel Wolf <luciano.wolf@indt.org.br>

    Added an entry for AddFunction tag in the StackElement enum

commit 72c050930eeb69c5d436ec6ad7ffc6a1a20211ed
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Luciano Miguel Wolf <luciano.wolf@indt.org.br>

    Removed code that always add _d as debug postfix, debug postfix is usefull for some packagers
    but awful for other distros or simple raw builds, because debug libs will be generated with a
    difenrent name and all other projects are expecting the library name without the debug postfix,
    resulting in a linker error, because the library was not found.
    
    For all packagers that still want to set a debug postfix, just use the cmake flag:
    
    -DCMAKE_DEBUG_POSTFIX:STRING="my_debug_postfix"

commit 4b881a93bba85821e4cc5afb4e247fe141677389
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Luciano Miguel Wolf <luciano.wolf@indt.org.br>

    Avoid warning about an unused variable when not compiling as debug.

commit a6281e0fe34a887b9f4b2981e84d0b46145a98d9
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fixed minor CSS issues on pysidedocs sphinx theme

commit e7c69df51572f5d464a47f0b8f4b4f870b9b1675
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Removed latex sphinx config options.

commit 111061c3fceb872d4efcafb65014bfd91cfd0051
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Added a new sphinx theme for APIExtractor documentation.
    
    This theme should be used on all sphinx-based pyside documentation.

commit 51168e70b530c6920411680d5e6dde7aeaba164c
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    - Typesystem documentation broken in smaller parts, so it's more redable now (IMO).
    - Added cross referencing for nodes cited along the documentation.
    - Added documentation for the new and not implemented yet, add-function tag.

commit 705b3f37e76b59d020d24b76600a8b21d319326d
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Added doc/_build to the git ignore list

commit 87175f67dead62f770747f7dce4621d5ebc72d57
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Add method AbstractMetaFunction::isCastOperator.

commit e2a2130624b143b35dd3beba8d4ff5527cf47b0d
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Bump version to 0.3.2

commit 512da8101cff0f3844704025a21f90dbd3db6274
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Update changelog before bump

commit 3c2fd876adfe2a0271054779dcf288ea39762a66
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Handler::current renamed to Handler::m_current
    
    With kdevelop4 it's so easy :-D

commit 653dc64720ae78c633c2282519b9b21fb6491b3b
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix bug#38.

commit 9a34c9489429c17a36d248da91be10ca0f927d26
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Unit test to catch the bug#38.

commit 5604a7b2f41fda5d78271032429805604b6f08c3
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Created CMake flag LIB_DEBUG_POSTFIX for modify library name when using CMAKE_BUILD_TYPE=Debug.

commit b36facf8895b7f4b524d85088683010d34549249
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed error when running generator whithout set correct global header.
    
    Rev: Hugo Lima <hugo.lima@openbossa.org>

commit 16aec6877fb3cd4b76cf76988c853529b9b31c42
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fixed bugs related to the strings returned by defaultValue and originalDefaultValue.
    
    - If there are no typesystem modifications, originalDefaultValue will be equals to
      defautlvalue, so originalDefaultValue will not be the same string found by the
      C++ parser, it will be usefull only to check if there are some default values
      modifications.

commit aaf120dfbbcce364f694f985fb2348a9429b2bee
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Reset the type database before runing each test.

commit 38283f8ae3a479dbc213ff16c8b727094028bb9a
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    - Turn ctors of TypeDatabase private (It's a singleton!)
    - Makes possible to reset the TypeDatabase, this is usefull in unit tests
      when you need to make all unit tests independent of each other.

commit be5fb84cf7a20d7fe446ef8fdb3b03914fca8526
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Add tests for defaultValue and originalDefaultValue methods.

commit 31bf15c779fc5c66c0ed37b557d288dd7911dfa3
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Revert "Fix a bug related to function default values."
    
    This fix bring to much regressions.
    
    This reverts commit 752c22056f4ba61961a01819992f9af71a3b0416.

commit 2ed8b4dcc030ce0274ea056dd541f48d57629ee8
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Added more tests for APIExtractor.

commit 752c22056f4ba61961a01819992f9af71a3b0416
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix a bug related to function default values.
    
    ApiExtractor tries to modify the defaultValue every time, so then return value of
    originalDefaultValue() if diferent from the return value of defaultValue() when
    they dont need to be.
    
    Unit test included.

commit 2bf0c409590c15b72a960d693fad4ac48ce4b8a6
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Add the option to set the directory where all log files will be created.

commit a01bd47054001bb05cf11431237268b753165f32
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Use specific Qt include headers for OS compatibility.
    
    Fixes Bug #49.
    
    Reviewed by Luciano Miguel Wolf <luciano.wolf@openbossa.org>

commit 30a5c9f3038ede7d52cfe2bcda586ed97525c86b
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Avoid use of pkg_config for search for libraries.
    
    Fixes Bug #39.
    
    Reviewed by Luciano Miguel Wolf <luciano.wolf@openbossa.org>

commit fa88814edd7885b0ec4f13ada015e005f5ce6e26
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Created ChangeLog file.

commit 5927c47bb5109aa49bba5ef6655b26684c62dd04
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Added more tests for AbstractMetaClass and AbstractMetaEnum

commit 660237e4e259d5bdd7e299a3a828c39be0068621
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Check for constructors in isVirtual function.
    
    Fixes Bug #46.
    
    Reviewed by Hugo Parente

commit 3247a6f50cd0b50fb046de3845a52e4860f2fbfb
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Do not link with boost::graph library.
    
    Fix bug#37

commit ac4305ea901d7bfb806dadfcdf4ea047d6c6035c
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Bump version to 0.3.1
    
    The previous commit bumped to a wrong version.
    This commit also adds micro version.

commit ac1ca6f62d563c34460bc098714fc9d228235713
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Bump version to 0.4 (current development version)

commit bf77e3dcecb165e45dd93046512aeb454b318e3a
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Bump version to 0.3.

commit e2ac43587bf4549ca01f5f6092f7c164bf3395ef
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    moved setInclude, addExtraIncludes and related methods from ComplexTypeEntry
    to TypeEntry, this way they will be also available on PrimitiveTypeEntry;
    the type system format now accepts the 'include' tag

commit 5242336237e970c2f47f31f6e941073317775279
Author: Chris Hills <chaz@chaz6.com>
Commit: Chris Hills <chaz@chaz6.com>

    Re-order include path for using non-system Qt libraries

commit 66b4e57c4c48cfe730dce2671eca25f3434d13a6
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Create a new method to AbstractType: isValuePointer.
    
    Separeted value pointers from native pointer for help generators.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit 3c06795f3cf8fcee47208f8b0759cd270eaedbb6
Merge: dfbe29e e078392
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Merge commit 'setanta/unspecifiedtypesystemfile'

commit e078392026588073aabe4f75d68c5b174211898a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    emits an error message when no type system file is passed to
    ApiExtractor::run
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit dfbe29e0a5843c7b6e2132915e24b2602ba52934
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Use name instead of fullname for classes in namespaces
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit 8d3416c04c46295820f0707e60cb275160ef111d
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fix loading of xml files for classes in namespaces

commit a051438064f55e63d1ac00f15da1a7ba2b9f88a4
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    AbstractMetaClass::name() and AbstractMetaType::name() now return only
    the name of the class/type without namespace/scope information

commit 09a312b7788a81e0af59fc090666aea37b71fff7
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Changed acess to preprocessor file, to be reused in the same process.

commit 7f14990c36bec778efbb51c4ed400d10cc1d51c4
Merge: 7e815bf f6eb727
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Merged mainline with no_generator branch.

commit 7e815bfcc41d25b2d8c7c34d1bb6bd566e4b2816
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    - Rewind the file pointer before runing the parser.
    - Fixed some code style issues.

commit f6eb7272e613b2878f7abee6280f3d375e9379c0
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fixed apiextractor version, so it now creates the symlinks for libapiextractor.so.0 and libapiextractor.so.0.x
    
    Reviewed by Lauro Moura

commit 30738cc5ec15ab667bf7973a157c400250178331
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Backport: Fixed apiextractor version, so it now creates the symlinks for libapiextractor.so.0 and libapiextractor.so.0.x

commit d3d7fd878d497e410f9d0aeb71a95facb67f5bfd
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Added a lot of helper methods to APIExtractor interface
    
    Reviewed by Setanta

commit 465af9a0b82c98cf21a103a092f998df21986c44
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Do not continue when an error occur in reading the typesystem file

commit ba699548a0f398d2ba808ad88c61cd8b9a7c888a
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    - Fix compilation when using restritive security flags -Wformat
    - Werror=format-security in gcc
    
    Thanks Helio Castro.
    
    fixes bug#8

commit 72a8d046e16268669e18940c3ebf22ecae6ef581
Author: Carlos Gonçalves <mail@cgoncalves.info>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Allow defining the 'lib' dir (eg. 'lib64').
    
    This is required by some distributions such as openSUSE, where 64-bit
    libraries are installed in lib64 directories and 32-bit libraries in the lib
    directories.

commit c645e083901079dd073eca84a0b822d37daf0293
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Added typedefs to QList<const PrimitiveTypeEntry*> and
    QList<const ContainerTypeEntry*>.

commit f54ce8b89fb599dbf0c5bad7adcb58a867e7594f
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    - Correctly initialize and delete the AbstractMetaBuilder
    - Fix typo in setSuppressWarning method
    - Added setSilent method

commit ffef36fe259606a91be17b52efa1d98fbfda7a7e
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Add missing include directives in the C++ parser code.

commit dfa423ac3109e0e40cba5f43471b34b98ed3189d
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Removed all generator stuff from APIExtractor, this stuff should be moved to the generator,
    and the apiextractor library should be just what their name means, an API extractor.
    
    This break the APIExtractor source compatibility with no mercy!

commit 8f9ed5bd51827d96bda708121008b24bb3d55801
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Adding target 'dist' using git-archive.

commit c16d038b5b42ce8ca9d8a74eed66ec1045e04048
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    updated API Extractor version to 0.2

commit 3e09c099aa3e87482d17b0b95e7e20a1a6b6641a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    fixed API Extractor version on documentation

commit 9732e0c744e45a67094fc6ce08bdadb1f9a08d4a
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    The genesis...
